Report assertion runs
curl --request POST \
--url https://api.example.com/api/dq/rules/report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_items": [
{
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"status": "<string>",
"external_id": "<string>",
"output": "<string>",
"error": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/dq/rules/report"
payload = { "report_items": [
{
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"status": "<string>",
"external_id": "<string>",
"output": "<string>",
"error": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
report_items: [
{
rule_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
rule_name: '<string>',
status: '<string>',
external_id: '<string>',
output: '<string>',
error: '<string>'
}
]
})
};
fetch('https://api.example.com/api/dq/rules/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Quality
Report assertion runs
Report the results of the data quality rule assertion runs back to DataHub.
POST
/
api
/
dq
/
rules
/
report
Report assertion runs
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
List of data quality rules.
Show child attributes
Show child attributes
Response
Report Completed.
The response is of type boolean.
Was this page helpful?
⌘I

